OMColorChooser (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.omGraphics
Class OMColorChooser

    java.lang.Object
      com.bbn.openmap.omGraphics.OMColorChooser

    public class OMColorChooser

extends java.lang.Object

A wrapper class that pops up a modified JColorChooser class. The modification involves replacing the preview panel with a slider that modifies the alpha transparency part of the color.

Author:
  dietrick, Oliver Hinds added preview panel to see color with transparency.

Constructor Summary
`OMColorChooser()`

Method Summary
`static void` | `main(java.lang.String[] argv)`
`static java.awt.Color` | `showDialog(java.awt.Component component, java.lang.String title, java.awt.Color startingColor)` Displays a dialog that lets you change a color.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OMColorChooser

    public OMColorChooser()

Method Detail

### showDialog

    public static java.awt.Color showDialog(java.awt.Component component,
                                            java.lang.String title,
                                            java.awt.Color startingColor)

  Displays a dialog that lets you change a color. Locks up the application until a choice is made, returning the chosen color, or null if nothing was chosen.

  Parameters:
    `component` - the source component.
    `title` - the String title for the window.
    `startingColor` - the initial color.

### main

    public static void main(java.lang.String[] argv)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details